EDIT - bug #9734

Correct handling for secundum references when moving taxon to new parent
08/05/2021 11:52 AM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.27

Severity: normal Found in Version:

Description

For the move of a synonym to a taxon and a taxon to a synonym we already implemented the handling of secundum references, but
for moving a taxon to a new parent it is still missing.

Related issues:
Related to EDIT - feature request #9340: Workflow support for secundum handli... Closed

Associated revisions

Revision 9b5e79ee - 08/11/2021 02:48 PM - Katja Luther

ref #9340, #9734, #9668: further improvements for configurable sec handling during taxon(base) operations

Revision f13ee832 - 08/11/2021 03:08 PM - Katja Luther

ref #9340, #9734, #9668: further improvements for configurable sec handling during taxon(base) operations

Revision 296fa5af - 08/12/2021 11:36 AM - Katja Luther
ref #9340, #9734, #9668: result should be of type DeleteResult

Revision 6cd0ec25 - 08/12/2021 02:00 PM - Katja Luther

ref #9734: adapt text in preferences for default secundum behaviour

Revision 3487252c¢ - 09/21/2021 08:57 AM - Katja Luther

add correct handling for keepOrWarn when moving taxa

Revision f73004b4 - 09/22/2021 10:34 AM - Katja Luther
ref #9734: adapt message

Revision 6a5d2783 - 09/22/2021 01:18 PM - Katja Luther

ref #9734: add missing brackets to condition

History

#1 - 08/05/2021 11:53 AM - Katja Luther

- Related to feature request #9340: Workflow support for secundum handling when making synonym a new accepted taxon added

#2 - 08/12/2021 01:47 PM - Katja Luther
- Status changed from New to Resolved
- Assignee changed from Katja Luther to Andreas Miiller

- % Done changed from 0 to 60

This is handled like change synonym to accepted taxon and accepted taxon to synonym (not swap), please review.

#3 - 09/20/2021 10:18 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther
This did not work for me. | did select "Keep if all related secs are the same, warn otherwise". | moved a taxon with sec. A and old parent sec. Ato a
new parent with sec. B. => no warning and the moved taxon kept its sec.

#4 - 09/20/2021 10:19 PM - Andreas Miuller

Can you please test all possible combinations on nightly and put the result of the test into this ticket?

#5 - 09/21/2021 02:18 PM - Andreas Miuller

- Target version changed from Release 5.45 to Release 5.27

#6 - 09/22/2021 11:20 AM - Katja Luther

Tested locally (test server is unavailable):
pref: keepOrWarn

e if the secs the same -> ok
e if secs different -> warning, but secs kept

pref: keepOrSelect

secs are all the same -> ok
secs are different -> dialog to choose how to handle the sec

pref: always select

secs are the same -> dialog
secs are different -> dialog

pref: always delete sec

sec of the moved taxon is always removed

pref: always use parent sec

sec are the same -> sec is kept
secs are different -> moved taxon gets sec of the parent

#7 - 09/22/2021 11:29 AM - Katja Luther

- Status changed from Feedback to Resolved

| will test again with nightly when the test server is available again

#8 - 09/22/2021 03:10 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

#9 - 09/22/2021 06:13 PM - Andreas Miiller

- Tags set to editorial_workflow

- Status changed from Resolved to Closed

- Assignee changed from Andreas Miller to Katja Luther

- % Done changed from 60 to 100

Works as expected now
